Agents: Call Actions

A customizable button agents can click during a call to trigger routing, tagging, or other in-call actions.

GET /call_control_actions

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/call_control_actions

List Call Action records.

List the Call Action buttons available to agents in your account, including their styling and any tokens they attach to a call. System default actions are generated automatically for superusers on first load.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • system_status
  • key
  • name
  • text_color
  • background_color
  • font_size
  • text_shadow_color
  • require_live_caller
  • filter_group_id
  • sortable_order
  • description
  • css_styles
  • webhook_actions_count
  • open_link_on_click
  • open_link_on_click_href
  • webhook_params_count
  • whisper_sound_playlist_enabled
  • whisper_sound_playlist_id
  • whisper_sound_playlist_target
  • message_type
  • text_to_speech
  • stop_whisper_sound_playlist
  • record_token_additional_id
  • record_token_additional_data_count
  • record_token_additional_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /call_control_actions/new

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/call_control_actions/new

Build Call Action with defaults.

Return a blank Call Action populated with default attribute values, useful for building a create form.

Params

Param name Description
system_status
Optional Blank value allowed

System Status

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

key
Optional Blank value allowed

Key

  • Must be a String

name
Optional Blank value allowed

Name

  • Must be a String

text_color
Optional Blank value allowed

Text Color

  • Must be a String

background_color
Optional Blank value allowed

Background Color

  • Must be a String

font_size
Optional Blank value allowed

Font Size

  • Must be a decimal number.

text_shadow_color
Optional Blank value allowed

Text Shadow Color

  • Must be a String

record_token_additional_id
Optional Blank value allowed

Record Token Additional

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

Attribution Token Value Ids

  • Must be a decimal number.

filter_group_id
Optional Blank value allowed

Filter Group

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

external_record_id
Optional Blank value allowed

An external identifier to associate with this Call Action.

  • Must be a String

require_live_caller
Optional Blank value allowed

When enabled, this action is only available while the caller is still on the line.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

message_type
Optional Blank value allowed

How the whisper message is delivered. Accepts speak (text to speech) or a sound file playlist.

  • Must be a String

text_to_speech
Optional Blank value allowed

The text spoken to whoever this action whispers to, used when message_type is speak. Token replacement is supported.

  • Must be a String

whisper_sound_playlist_enabled
Optional Blank value allowed

When enabled, plays a whisper message when an agent clicks this action.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

whisper_sound_playlist_id
Optional Blank value allowed

The Sound Playlist to whisper from, used when message_type is not speak.

whisper_sound_playlist_target
Optional Blank value allowed

Who hears the whisper message. Accepts agent, consumer, buyer, or a combination.

  • Must be a String

stop_whisper_sound_playlist
Optional Blank value allowed

When enabled, clicking this action stops any audio currently playing on the call instead of whispering a message.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

POST /call_control_actions

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/call_control_actions

Create Call Action.

Create a Call Action button that agents can click during a call, optionally applying extra tokens and custom text or background color styling.

Params

Param name Description
system_status
Optional Blank value allowed

System Status

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

key
Optional Blank value allowed

Key

  • Must be a String

name
Optional Blank value allowed

Name

  • Must be a String

text_color
Optional Blank value allowed

Text Color

  • Must be a String

background_color
Optional Blank value allowed

Background Color

  • Must be a String

font_size
Optional Blank value allowed

Font Size

  • Must be a decimal number.

text_shadow_color
Optional Blank value allowed

Text Shadow Color

  • Must be a String

record_token_additional_id
Optional Blank value allowed

Record Token Additional

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

Attribution Token Value Ids

  • Must be a decimal number.

filter_group_id
Optional Blank value allowed

Filter Group

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

external_record_id
Optional Blank value allowed

An external identifier to associate with this Call Action.

  • Must be a String

require_live_caller
Optional Blank value allowed

When enabled, this action is only available while the caller is still on the line.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

message_type
Optional Blank value allowed

How the whisper message is delivered. Accepts speak (text to speech) or a sound file playlist.

  • Must be a String

text_to_speech
Optional Blank value allowed

The text spoken to whoever this action whispers to, used when message_type is speak. Token replacement is supported.

  • Must be a String

whisper_sound_playlist_enabled
Optional Blank value allowed

When enabled, plays a whisper message when an agent clicks this action.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

whisper_sound_playlist_id
Optional Blank value allowed

The Sound Playlist to whisper from, used when message_type is not speak.

whisper_sound_playlist_target
Optional Blank value allowed

Who hears the whisper message. Accepts agent, consumer, buyer, or a combination.

  • Must be a String

stop_whisper_sound_playlist
Optional Blank value allowed

When enabled, clicking this action stops any audio currently playing on the call instead of whispering a message.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

GET /call_control_actions/:id

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/call_control_actions/:id

Get Call Action by id.

Get the details of a single Call Action by id.

PUT /call_control_actions/:id

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/call_control_actions/:id

Update Call Action by id.

Update a Call Action, including its key, styling, filter group, or the tokens it applies.

Params

Param name Description
system_status
Optional Blank value allowed

System Status

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

key
Optional Blank value allowed

Key

  • Must be a String

name
Optional Blank value allowed

Name

  • Must be a String

text_color
Optional Blank value allowed

Text Color

  • Must be a String

background_color
Optional Blank value allowed

Background Color

  • Must be a String

font_size
Optional Blank value allowed

Font Size

  • Must be a decimal number.

text_shadow_color
Optional Blank value allowed

Text Shadow Color

  • Must be a String

record_token_additional_id
Optional Blank value allowed

Record Token Additional

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

Attribution Token Value Ids

  • Must be a decimal number.

filter_group_id
Optional Blank value allowed

Filter Group

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

external_record_id
Optional Blank value allowed

An external identifier to associate with this Call Action.

  • Must be a String

require_live_caller
Optional Blank value allowed

When enabled, this action is only available while the caller is still on the line.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

message_type
Optional Blank value allowed

How the whisper message is delivered. Accepts speak (text to speech) or a sound file playlist.

  • Must be a String

text_to_speech
Optional Blank value allowed

The text spoken to whoever this action whispers to, used when message_type is speak. Token replacement is supported.

  • Must be a String

whisper_sound_playlist_enabled
Optional Blank value allowed

When enabled, plays a whisper message when an agent clicks this action.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

whisper_sound_playlist_id
Optional Blank value allowed

The Sound Playlist to whisper from, used when message_type is not speak.

whisper_sound_playlist_target
Optional Blank value allowed

Who hears the whisper message. Accepts agent, consumer, buyer, or a combination.

  • Must be a String

stop_whisper_sound_playlist
Optional Blank value allowed

When enabled, clicking this action stops any audio currently playing on the call instead of whispering a message.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

DELETE /call_control_actions/:id

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/call_control_actions/:id

Destroy Call Action by id.

Permanently delete a Call Action.